compact3
javax.lang.model.type

## Interface ErrorType

- All Superinterfaces:
    AnnotatedConstruct, DeclaredType, ReferenceType, TypeMirror

      public interface ErrorType
      extends DeclaredType

  Represents a class or interface type that cannot be properly modeled. This may be the result of a processing error, such as a missing class file or erroneous source code. Most queries for information derived from such a type (such as its members or its supertype) will not, in general, return meaningful results.
  Since:
    1.6

- - ### Method Summary

    - ### Methods inherited from interface javax.lang.model.type.DeclaredType

      `asElement, getEnclosingType, getTypeArguments`

    - ### Methods inherited from interface javax.lang.model.type.TypeMirror

      `accept, equals, getKind, hashCode, toString`

    - ### Methods inherited from interface javax.lang.model.AnnotatedConstruct

      `getAnnotation, getAnnotationMirrors, getAnnotationsByType`

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2015, Oracle and/or its affiliates. All rights reserved.